using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum ObstacleType { low, high, breakable, humanHorseBreak }

/// <summary>
/// 障碍物基类
/// </summary>
public class Obstacle : MonoBehaviour
{
    protected ObstacleType obstacleType;

    virtual protected void Start() {
        InitSth();
        FindSth();
    }

    virtual protected void InitSth(){}

    virtual protected void FindSth(){}

}
